// Window1.xaml.cs
using System;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Media;
using System.Windows.Shapes;

namespace HostingAWinFormsControl {
  public class Person {
    string name;
    public string Name {
      get { return name; }
      set { name = value; }
    }

    int age;
    public int Age {
      get { return age; }
      set { age = value; }
    }

    public Person() { }

    public Person(string name, int age) {
      this.name = name;
      this.age = age;
    }
  }

  public class People : System.Collections.Generic.List<Person> { }

  public partial class Window1 : Window {
    public Window1() {
      InitializeComponent();

      //gridView.DataSource = new Person[] {
      //  new Person("Tom", 11),
      //  new Person("John", 12),
      //  new Person("Melissa", 37)
      //};
    }
  }

}
